package com.docus.server.collect.infrastructure.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.docus.server.collect.entity.DownloadTask;
import com.docus.server.collect.entity.TBasic;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface DownloadTaskMapper extends BaseMapper<DownloadTask> {
    /**
     * 根据患者信息获取基础病案信息 from    `docus_medicalrecord`.`t_basic`
     *
     * @param tBasic 患者基础信息
     * @return 病案基础信息
     */
    List<TBasic> getBasicInfo(@Param("basic") TBasic tBasic);
    /**
     * 根据病案的来源，病案文件的唯一标识，从文件表得到文件下载任务id（也是文件id）
     * @param patientId 病案主键
     * @param source 来源
     * @param serialNum 文件唯一标识
     * @return 下载任务id（也是文件id）
     */
    Long getDownloadTaskIdFromSanAssort(@Param("patientId") String patientId, @Param("source") String source, @Param("serialNum") String serialNum);
    /**
     * 根据病案的来源，病案文件的唯一标识，从下载记录表得到文件下载任务id（也是文件id）
     * @param patientId 病案主键
     * @param source 来源
     * @param serialNum 文件唯一标识
     * @return 下载任务id（也是文件id）
     */
    Long getDownloadTaskIdFromDownFile(@Param("patientId") String patientId, @Param("source") String source, @Param("serialNum") String serialNum);
}
